Summary:	Molecular mechanics and quantum mechanics frontend for GNOME
Name:		ghemical
Version:	2.95
Release:	%mkrel 2
License:	GPL+
Group:		Sciences/Chemistry
Source0:	http://www.uku.fi/~thassine/projects/download/current/%{name}-%{version}.tar.gz
URL:		http://www.uku.fi/~thassine/ghemical/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gcc-gfortran
BuildRequires:	ghemical-devel >= %{version}
BuildRequires:	openbabel-devel >= 2.0
BuildRequires:	bonoboui-devel
BuildRequires:	f2c
BuildRequires:	flex
BuildRequires:	gtkglext-devel
BuildRequires:	mopac7-devel >= 1.13
BuildRequires:	oglappth-devel
BuildRequires:	libglade2.0-devel >= 2.4.0
BuildRequires:	mesaglut-devel
BuildRequires:	libSC-devel
Requires:	libghemical-data >= %{version}
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png

%description
Ghemical is a computational chemistry application.
Ghemical is written in C++. It has a graphical user interface (in fact, 
a couple of them), and it supports both quantum-mechanics (semi-empirical 
and ab initio) models and molecular mechanics models (there is an experimental
Tripos 5.2-like force field for organic molecules). Also a tool for reduced 
protein models is included. Geometry optimization, molecular dynamics
and a large set of visualization tools are currently available.

%prep
%setup -q

%build
libtoolize --copy --force
aclocal
autoconf
automake
CXXFLAGS="$RPM_OPT_FLAGS `pkg-config --cflags libbonobo-2.0` `pkg-config --cflags libbonoboui-2.0`" \
%configure2_5x	--enable-threads \
		--enable-bonobo \
		--enable-openbabel \
		--enable-shortcuts \
		--enable-gamess
#ugly hack, yeye..
perl -pi -e "s#-lmopac7#-lmopac7 `pkg-config --libs libbonobo-2.0` `pkg-config --libs libbonoboui-2.0` -lglut -lf2c#g" src/Makefile
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=GNOME MM/QM Frontend
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Education;Science;Chemistry;
EOF

%post
%{update_menus}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_icon_cache hicolor}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Tue Mar 25 2008 Guillaume Bedot <littletux@mandriva.org> 2.95-2mdv2008.1
+ Revision: 189858
- Fix requires (bug #39039)

* Thu Mar 06 2008 Guillaume Bedot <littletux@mandriva.org> 2.95-1mdv2008.1
+ Revision: 180820
- 2.95

* Tue Jan 08 2008 Adam Williamson <awilliamson@mandriva.com> 2.10-5mdv2008.1
+ Revision: 146862
- remove unnecessary defines
- rebuild for newer libgfortran
- drop Mandriva category from XDG menu entry
- new license policy
- fd.o icons
- small spec cleanups

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Austin Acton <austin@mandriva.org>
    - rebuild for openbabel


* Tue Aug 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.10-0.1.20060mdk
- 2.10
- xdg menu
- various fixesblablabla

* Thu Mar 09 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.02-1mdk
- 1.02
- fix buildrequires
- %%mkrel

* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-2mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

* Sun Jan 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.01-1mdk
- 1.01
- drop explicit library dependencies
- fix buildrequires (lib64..)
- fix icons
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- macroize
- cleanups

